<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function resosocios_porte_plume_barre_pre_charger($barres) {
	$barre = &$barres['edition'];
    
    $barre->ajouterApres('cadresinfos', array(
        'id' => 'resosocios',
        'name' => _T('resosocios:icones des reseaux sociaux'),
        'className' => 'outil_resosocios',
        'display' => true,
        ));
        
        $barre->set('resosocios', array(  
        'dropMenu' => array(
            array(
                'id' => 'facebook',
                'name' => _T('resosocios:icone facebook'),
                'className' => 'outil_facebook',
                'openWith' => '<span class="fa fa-facebook">',
                'closeWith' => '</span>',
                'display' => true,
                'selectionType' => 'word',
            ),
            array(
                'id' => 'linkedin',
                 'name' => _T('resosocios:icone linkedin'),
                 'className' => 'outil_linkedin',
                 'openWith' => '<icn_linkedin>',
                 'closeWith' => '</icn_linkedin>',
                 'display' => true,
                 'selectionType' => 'word',
            ),
            array(
                'id' => 'tiktok',
                 'name' => _T('resosocios:icone tiktok'),
                 'className' => 'outil_tiktok',
                 'openWith'  => '<icn_tiktok>',
                 'closeWith' => '</icn_tiktok>',
                 'display' => true,
                 'selectionType' => 'word',
            ),
            array(
                'id' => 'twitter',
                 'name' => _T('resosocios:icone twitter'),
                 'className' => 'outil_twitter',
                 'openWith'  => '<icn_twitter>',
                 'closeWith' => '</icn_twitter>',
                 'display' => true,
                 'selectionType' => 'word',
            ),

        ),
   ));
    
	return $barres;
}

function resosocios_porte_plume_lien_classe_vers_icone($flux) {
    return array_merge($flux, array(
        'outil_resosocios' => array('resosocios.png', '0'),
		'outil_facebook' => array('facebook.png', '0'),
		'outil_linkedin' => array('linkedin.png', '0'),
		'outil_tiktok'   => array('tiktok.png', '0'),
        'outil_twitter'  => array('twitter.png', '0'),
	)); 
}